package javax.xml.bind.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Target;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;

@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.FIELD, ElementType.METHOD, ElementType.PACKAGE })
public @interface XmlSchemaType {
    public abstract String name();
    
    public abstract String namespace() default "http://www.w3.org/2001/XMLSchema";
    
    public abstract Class type() default XmlSchemaType.DEFAULT.class;
    
    public static final class DEFAULT
    {
    }
}
